
; ========================================================
;			
;    -- TCPTest.inc --
;			Jay Sullivan
; ========================================================
  
;#################################################
;#                Macro
;#################################################



	$String MACRO sTEXT
		LOCAL szText
		.data
		 szText db sTEXT, 0
		.code
		EXITM <Offset szText>
	ENDM
	
	
  
;#################################################
;#                Include
;#################################################
	include windows.inc
	include user32.inc
	include kernel32.inc
	include wsock32.inc
	include comctl32.inc
	;-------------------------------------------------------------------
	;Needed For Debug Window Only
	;include masm32.inc
	;include debug.inc
	;includeLib masm32.lib
	;includeLib debug.lib
	;-------------------------------------------------------------------
	includelib comctl32.lib	
	includelib wsock32.lib
	includeLib user32.lib
	includeLib kernel32.lib

;#################################################
;#                .DATA
;#################################################
	.DATA
	ClassName		db "MainWinClass",0
	szAppName		db "TCPTest",0
	szCButton		db "BUTTON",0
	szCEdit			db "EDIT",0
	
	szFuncSocket		db "socket()       ",0
	szFuncConnect		db "connect()      ",0
	szFuncRecv			db "recv()         ",0
	szFuncSend			db "send()         ",0
	szFuncBind			db "bind()         ",0
	szFuncInet_addr		db "inet_addr()    ",0
	szFuncGethostbyname	db "gethostbyname()",0
	StatusWidths dd 100,200,500,600,700
	 
	wsaData WSADATA <>
 	peer sockaddr_in <AF_INET ,  080h, <>, 8 dup(0)>
 	ptrIP hostent <>
 	ptrIPName dd ?
 	
 	sendString  db "GET / HTTP/1.1",13,10
				db "Host: www.yahoo.com",13,10
				db "Connection: close",13,10
				db 13,10
  	sendStringLength equ $- Offset sendString
				db 0
  	recvStringLength equ 4*4096
  	
  	pBufferIPAddress db '209.73.186.238', 16 dup(0)
  	
  	IDT_TIMER1 dd 5
  	szDots	db '.........................',0
  	szDotLen dd 0
  	
	.DATA?
	hInstance		HINSTANCE ?
	CommandLine		LPSTR ?
	hHeap			HANDLE ?
	
	hWin				HWND ?
	myButtonConnect		HWND ?
	myButtonDisconnect	HWND ?
	myButtonSend		HWND ?
	myButtonDNS			HWND ?
	hEditOutput			HWND ?
	hEditMyText			HWND ?
	hEditIPAddress		HWND ?
	hStatusBar			HWND ?
	s		SOCKET  ?
	
	
	myHostName db 64 dup(?)
	myHostIP   dd ?
	hListeningThread dd ?
	hConnectThread	 dd ?
	hostEntry dd ?
	
	pBufferMyText dd ?
	pBufferOutput dd ?
	pBufferLoc	  dd ?
	
	MessageSize dd ?
;#################################################
;#                EQU
;#################################################
	IDM_FILE_NEW	EQU 1
	IDM_FILE_OPEN	EQU 2
	IDM_HELP_ABOUT	EQU 3
	IDM_FILE_EXIT	EQU 4
